-- MySQL dump 10.13  Distrib 8.0.27, for Win64 (x86_64)
--
-- Host: 127.0.0.1    Database: epres
-- ------------------------------------------------------
-- Server version	8.0.27

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `doctor`
--

DROP TABLE IF EXISTS `doctor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `doctor` (
  `DOCTOR_ID` int NOT NULL AUTO_INCREMENT,
  `DNAME` varchar(14) DEFAULT NULL,
  `DSURNAME` varchar(14) DEFAULT NULL,
  `DAFM` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`DOCTOR_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `doctor`
--

LOCK TABLES `doctor` WRITE;
/*!40000 ALTER TABLE `doctor` DISABLE KEYS */;
INSERT INTO `doctor` VALUES (1,'Παναγιώτης','Δημητρίου','9990'),(2,'Σοφία','Παπαδοπούλου','8880');
/*!40000 ALTER TABLE `doctor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `master_data`
--

DROP TABLE IF EXISTS `master_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `master_data` (
  `p_amka` text,
  `p_name` text,
  `p_surname` text,
  `p_afm` int DEFAULT NULL,
  `d_afm` int DEFAULT NULL,
  `d_name` text,
  `d_surname` text,
  `prescription_barcode` int DEFAULT NULL,
  `med_cost` int DEFAULT NULL,
  `issue_date` text,
  `med_name` text,
  `med_barcode` int DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `master_data`
--

LOCK TABLES `master_data` WRITE;
/*!40000 ALTER TABLE `master_data` DISABLE KEYS */;
INSERT INTO `master_data` VALUES ('101010','Νίκος','Νικολάου',1234,9990,'Παναγιώτης','Δημητρίου',11111,10,'13/11/2016','Depon',901234),('101010','Νίκος','Νικολάου',1234,9990,'Παναγιώτης','Δημητρίου',11111,8,'13/11/2016','Aspirin',905678),('101011','Μαρία','Γεωργίου',2345,8880,'Σοφία','Παπαδοπούλου',22222,8,'20/1/2020','Aspirin',905678),('101012','Γιώργος','Παπαδόπουλος',3456,9990,'Παναγιώτης','Δημητρίου',33333,12,'1/6/2018','Salospir',901111),('101010','Νίκος','Νικολάου',1234,8880,'Σοφία','Παπαδοπούλου',11112,12,'13/1/2016','Salospir',901111),('101010','Νίκος','Νικολάου',1234,9990,'Παναγιώτης','Δημητρίου',11118,8,'14/1/2016','Aspirin',905678);
/*!40000 ALTER TABLE `master_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `medicine`
--

DROP TABLE IF EXISTS `medicine`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `medicine` (
  `MEDICINE_ID` int NOT NULL AUTO_INCREMENT,
  `MED_NAME` varchar(14) DEFAULT NULL,
  `MED_VALUE` int DEFAULT NULL,
  `MED_BARCODE` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`MEDICINE_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `medicine`
--

LOCK TABLES `medicine` WRITE;
/*!40000 ALTER TABLE `medicine` DISABLE KEYS */;
INSERT INTO `medicine` VALUES (1,'Depon',10,'901234'),(2,'Aspirin',8,'905678'),(3,'Salospir',12,'901111');
/*!40000 ALTER TABLE `medicine` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `patient`
--

DROP TABLE IF EXISTS `patient`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `patient` (
  `PATIENT_ID` int NOT NULL AUTO_INCREMENT,
  `PNAME` varchar(14) DEFAULT NULL,
  `PSURNAME` varchar(14) DEFAULT NULL,
  `PAFM` int DEFAULT NULL,
  `PAMKA` varchar(11) DEFAULT NULL,
  PRIMARY KEY (`PATIENT_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=901 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `patient`
--

LOCK TABLES `patient` WRITE;
/*!40000 ALTER TABLE `patient` DISABLE KEYS */;
INSERT INTO `patient` VALUES (1,'Νίκος','Νικολάου',1234,'101010'),(2,'Μαρία','Γεωργίου',2345,'101011'),(3,'Γιώργος','Παπαδόπουλος',3456,'101012');
/*!40000 ALTER TABLE `patient` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prescription`
--

DROP TABLE IF EXISTS `prescription`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `prescription` (
  `PRESCRIPTION_ID` int NOT NULL AUTO_INCREMENT,
  `PATIENT_ID` int NOT NULL,
  `DOCTOR_ID` int NOT NULL,
  `ISSUE_DATE` date DEFAULT NULL,
  `pres_barcode` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`PRESCRIPTION_ID`,`PATIENT_ID`,`DOCTOR_ID`),
  KEY `fk_prescription_patient_idx` (`PATIENT_ID`),
  KEY `fk_prescription_doctor1_idx` (`DOCTOR_ID`),
  CONSTRAINT `fk_prescription_doctor1` FOREIGN KEY (`DOCTOR_ID`) REFERENCES `doctor` (`DOCTOR_ID`),
  CONSTRAINT `fk_prescription_patient` FOREIGN KEY (`PATIENT_ID`) REFERENCES `patient` (`PATIENT_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prescription`
--

LOCK TABLES `prescription` WRITE;
/*!40000 ALTER TABLE `prescription` DISABLE KEYS */;
INSERT INTO `prescription` VALUES (1,1,1,'2016-11-13','11111'),(2,2,2,'2020-01-20','22222'),(3,3,1,'2018-06-01','33333'),(4,1,2,'2016-01-13','11112'),(5,1,1,'2016-01-14','11118');
/*!40000 ALTER TABLE `prescription` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `treatment`
--

DROP TABLE IF EXISTS `treatment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `treatment` (
  `TREATMENT_ID` int NOT NULL AUTO_INCREMENT,
  `PRESCRIPTION_ID` int NOT NULL,
  `MEDICINE_ID` int NOT NULL,
  `med_cost` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`TREATMENT_ID`,`MEDICINE_ID`,`PRESCRIPTION_ID`),
  KEY `fk_treatment_prescription1_idx` (`PRESCRIPTION_ID`),
  KEY `fk_treatment_medicine1_idx` (`MEDICINE_ID`),
  CONSTRAINT `fk_treatment_medicine1` FOREIGN KEY (`MEDICINE_ID`) REFERENCES `medicine` (`MEDICINE_ID`),
  CONSTRAINT `fk_treatment_prescription1` FOREIGN KEY (`PRESCRIPTION_ID`) REFERENCES `prescription` (`PRESCRIPTION_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `treatment`
--

LOCK TABLES `treatment` WRITE;
/*!40000 ALTER TABLE `treatment` DISABLE KEYS */;
INSERT INTO `treatment` VALUES (1,1,1,'10'),(2,1,2,'8'),(3,2,2,'8'),(4,3,3,'12'),(5,4,3,'12'),(6,5,2,'8');
/*!40000 ALTER TABLE `treatment` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-02-17 11:12:13
